import { RplCalendarNOA11Y } from './datepicker';
import { NgbDatepickerConfigNOA11Y } from './datepicker-config';
import { NgbDatepickerDayViewNOA11Y } from './datepicker-day-view';
import { NgbDatepickerI18nDefaultNOA11Y, NgbDatepickerI18nNOA11Y } from './datepicker-i18n';
import { NgbInputDatepickerNOA11Y } from './datepicker-input';
import { NgbDatepickerNavigationNOA11Y } from './datepicker-navigation';
import { NgbDatepickerNavigationSelectNOA11Y } from './datepicker-navigation-select';
import { NgbDatepickerReplyMonthViewNOA11Y } from './datepicker-reply-month-view';
import { NgbDatepickerReplyYearsViewNOA11Y } from './datepicker-reply-years-view';
import { NgbDatepickerRoutingViewNOA11Y } from './datepicker-routing-view';
import { NgbCalendarGregorianNOA11Y, NgbCalendarNOA11Y } from './ngb-calendar';
import { NgbDateISOParserFormatterNOA11Y, NgbDateParserFormatterNOA11Y } from './ngb-date-parser-formatter';

export * from './datepicker';
export * from './datepicker-config';
export * from './datepicker-day-template-context';
export * from './datepicker-day-view';
export * from './datepicker-i18n';
export * from './datepicker-input';
export * from './datepicker-keymap-service';
export * from './datepicker-navigation';
export * from './datepicker-navigation-select';
export * from './datepicker-reply-month-view';
export * from './datepicker-reply-years-view';
export * from './datepicker-routing-view';
export * from './datepicker-service';
export * from './hijri/ngb-calendar-hijri';
export * from './hijri/ngb-calendar-islamic-civil';
export * from './ngb-calendar';
export * from './ngb-date-parser-formatter';


export const RplDeclarations = [
  RplCalendarNOA11Y,
  NgbDatepickerRoutingViewNOA11Y,
  NgbDatepickerNavigationNOA11Y,
  NgbDatepickerNavigationSelectNOA11Y,
  NgbDatepickerDayViewNOA11Y,
  NgbDatepickerReplyMonthViewNOA11Y,
  NgbDatepickerReplyYearsViewNOA11Y,
  NgbInputDatepickerNOA11Y
];
export const RplExports = [RplCalendarNOA11Y, NgbInputDatepickerNOA11Y];
export const RplEntryComponents = [RplCalendarNOA11Y];
export const RplRootProviders = [
  { provide: NgbCalendarNOA11Y, useClass: NgbCalendarGregorianNOA11Y },
  { provide: NgbDatepickerI18nNOA11Y, useClass: NgbDatepickerI18nDefaultNOA11Y },
  { provide: NgbDateParserFormatterNOA11Y, useClass: NgbDateISOParserFormatterNOA11Y }, NgbDatepickerConfigNOA11Y
];
